Bug 1070069 - [GSS] (6.3.0) Timed out conversation unexpectedly alive on next request
Summary: [GSS] (6.3.0) Timed out conversation unexpectedly alive on next request
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: CDI/Weld
Version: 6.1.0,6.2.0,6.1.1,6.2.1,6.2.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER4
: EAP 6.3.0
Assignee: Jozef Hartinger
QA Contact: Ron Šmeral
Russell Dickenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1088791 1089990
TreeView+ depends on / blocked
 
Reported: 2014-02-26 08:10 UTC by Takayoshi Kimura
Modified: 2018-12-05 17:26 UTC (History)
8 users (show)

(edit)
In previous versions of JBoss EAP 6 it was found that a conversation could be unexpectedly activated and associated with a  request even after the conversation expires, resulting in a `NonExistentConversationException`.

This was because, in a JSF application, Weld did not properly check conversation state at the beginning of requests.

This release of the product includes an updated conversation context activation and invalidation procedure to check conversation state more thoroughly. As a result, expired conversations no longer get mistakenly associated with requests.
Clone Of:
: 1088791 (view as bug list)
(edit)
Last Closed: 2014-06-28 15:40:15 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WELD-1452 Major Resolved Conversation timeout in redirect 2016-08-12 07:44 UTC
JBoss Issue Tracker WELD-1657 Major Resolved Backport WELD-1452 2016-08-12 07:44 UTC

Description Takayoshi Kimura 2014-02-26 08:10:25 UTC
In JSF app, Weld only checks conversation timeout at the RENDER_RESPONSE phase or respose complete. It doesn't check the conversation at the beginning of requests.

Upstream JIRA is:

Conversation timeout in redirect
https://issues.jboss.org/browse/WELD-1452

Comment 2 Kabir Khan 2014-04-25 15:14:38 UTC
Moving to ER4 since ER3 is the new beta candidate, and is ER2+beta blockers only

Comment 3 Ron Šmeral 2014-05-14 12:51:06 UTC
Verified in EAP 6.3.0.ER4.


Note You need to log in before you can comment on or make changes to this bug.